% Two Qubit Gates

% Controlled NOT
CNOT = [1 0 0 0;...
        0 1 0 0;...
        0 0 0 1;...
        0 0 1 0];
    
SWAP = [1 0 0 0;...
        0 0 1 0;...
        0 1 0 0;...
        0 0 0 1];

% Square Root Swap 
SQSW = [1       0       0 0;...
        0 (1+i)/2 (1-i)/2 0;...
        0 (1-i)/2 (1+i)/2 0;...
        0       0       0 1];
    